PixMind Docs
Api reference

Create a chat completion

Creates a model response for the given conversation. OpenAI-compatible — works with the OpenAI SDK by setting `baseURL` to `https://aihub-admin.aimix.pro/api-platform/v1`. Set `stream: true` to receive a Server-Sent Events stream of `chat.completion.chunk` objects terminated by `data: [DONE]`.

POST
/chat/completions

Creates a model response for the given conversation. OpenAI-compatible — works with the OpenAI SDK by setting baseURL to https://aihub-admin.aimix.pro/api-platform/v1. Set stream: true to receive a Server-Sent Events stream of chat.completion.chunk objects terminated by data: [DONE].

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

OpenAI-compatible chat completions request.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/chat/completions" \  -H "Content-Type: application/json" \  -d '{    "model": "gemini-2.5-flash",    "messages": [      {        "role": "system",        "content": "string"      }    ]  }'
{  "id": "chatcmpl-01JXYZ...",  "object": "chat.completion",  "created": 0,  "model": "string",  "choices": [    {      "index": 0,      "message": {        "role": "system",        "content": "string"      },      "finish_reason": "stop"    }  ],  "usage": {    "prompt_tokens": 0,    "completion_tokens": 0,    "total_tokens": 0  }}